Subject: Re: [PATCH net] net: xilinx: axienet: Schedule NAPI in two steps

From: Sean Anderson <[email-masked]>
Date: Thu, 12 Sep 2024 12:07:54 -0400

On 9/12/24 11:43, Jakub Kicinski wrote:
> On Thu, 12 Sep 2024 10:23:06 -0400 Sean Anderson wrote:
>> __napi_schedule_irqoff selects between __napi_schedule and
>> ____napi_schedule based on whether PREEMPT_RT is enabled. Is there some
>> other way to force IRQ threading?
> 
> I think so, IIRC threadirqs= kernel boot option lets you do it.
> I don't remember all the details now :( LMK if I'm wrong

Hm, maybe __napi_schedule_irqoff should be updated to take that into
account. I will resend without this change.

--Sean